hpp-corbaserver: Error Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Error Class Reference

`#include <hpp/common-idl.hh>`

Inheritance diagram for Error:
[legend]
Collaboration diagram for Error:
[legend]

## Public Member Functions
| Error ()
| Error (const Error &)
| Error (const char *i_msg)
Error & | operator= (const Error &)
virtual | ~Error ()
virtual void | _raise () const
void | operator>>= (cdrStream &) const
void | operator<<= (cdrStream &)
virtual ::CORBA::Exception * | _NP_duplicate () const

## Static Public Member Functions
static Error * | _downcast (::CORBA::Exception *)
static const Error * | _downcast (const ::CORBA::Exception *)
static Error * | _narrow (::CORBA::Exception *_e)

## Public Attributes
::CORBA::String_member | msg

## Static Public Attributes
static _core_attr insertExceptionToAny | insertToAnyFn
static _core_attr insertExceptionToAnyNCP | insertToAnyFnNCP
static _core_attr const char * | _PD_repoId
static _core_attr const char * | _PD_typeId

## Constructor & Destructor Documentation

## ◆ Error() [1/3]

Error::Error | ( |  | ) |
| inline

## ◆ Error() [2/3]

Error::Error | ( | const Error & |  | ) |

## ◆ Error() [3/3]

Error::Error | ( | const char * | i_msg | ) |

## ◆ ~Error()

virtual Error::~Error | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _downcast() [1/2]

static Error* Error::_downcast | ( | ::CORBA::Exception * |  | ) |
| static

## ◆ _downcast() [2/2]

static const Error* Error::_downcast | ( | const ::CORBA::Exception * |  | ) |
| static

## ◆ _narrow()

static Error* Error::_narrow | ( | ::CORBA::Exception * | _e | ) |
| inline static

## ◆ _NP_duplicate()

virtual ::CORBA::Exception* Error::_NP_duplicate | ( |  | ) | const

## ◆ _raise()

virtual void Error::_raise | ( |  | ) | const
| virtual

## ◆ operator<<=()

void Error::operator<<= | ( | cdrStream & |  | ) |

## ◆ operator=()

Error& Error::operator= | ( | const Error & |  | ) |

## ◆ operator>>=()

void Error::operator>>= | ( | cdrStream & |  | ) | const

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* Error::_PD_repoId
| static

## ◆ _PD_typeId

_core_attr const char* Error::_PD_typeId
| static

## ◆ insertToAnyFn

_core_attr insertExceptionToAny Error::insertToAnyFn
| static

## ◆ insertToAnyFnNCP

_core_attr insertExceptionToAnyNCP Error::insertToAnyFnNCP
| static

## ◆ msg

::CORBA::String_member Error::msg

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh